/*
 * Standard CSS Components
 */
body.is_popup {
    box-sizing: border-box;
    height: auto;
    padding: 0 3px;
}

/*
 * Removed Formatting for Image
 */
a.img {
    border-bottom: 0;
    text-decoration: none;
}

a.img:hover {
    border-bottom: 0;
    text-decoration: none;
}

a.img:visited {
    border-bottom: 0;
    text-decoration: none;
}

a.img:visited:hover {
    border-bottom: 0;
    text-decoration: none;
}

a.img:active {
    border-bottom: 0;
    text-decoration: none;
}

/*
 * Text Styles
 */
.code {
    font-family: "Courier New", monospace;
}

/* Text Boxes */
.textbox,
.numbox {
    background-color: #ffffff;
    border: 1px solid #888888;
    color: #000000;
    font-size: 11px;
    margin: 0;
    padding-bottom: 1px;
    padding-left: 2px;
    padding-right: 2px;
    padding-top: 1px;
}

input.textbox,
input.numbox {
    height: 18px;
    line-height: 18px;
}

input.textbox[disabled],
input.numbox[disabled] {
    background-color: #f0f0f0;
}

/* Checkboxes */
input[type="checkbox"] {
    opacity: 0;
    position: absolute;
}

input[type="checkbox"] + label {
    -webkit-user-select: none;
    user-select: none;
}

input[type="checkbox"] + label:not(.icon_right):before,
input[type="checkbox"]:checked + label:not(.icon_right):before {
    background-repeat: no-repeat;
    content: " ";
    cursor: pointer;
    display: inline-block;
    height: 16px;
    margin-right: 3px;
    vertical-align: middle;
    width: 16px;
}

input[type="checkbox"] + label:not(.icon_right):before {
    background-image: url("/images/icons/delete.png");
}

input[type="checkbox"]:checked + label:not(.icon_right):before {
    background-image: url("/images/icons/valid.png");
}

/* (Right Aligned) */
input[type="checkbox"] + label.icon_right:after,
input[type="checkbox"]:checked + label.icon_right:after {
    background-repeat: no-repeat;
    content: " ";
    cursor: pointer;
    display: inline-block;
    height: 16px;
    margin-left: 3px;
    vertical-align: middle;
    width: 16px;
}

input[type="checkbox"] + label.icon_right:after {
    background-image: url("/images/icons/delete.png");
}

input[type="checkbox"]:checked + label.icon_right:after {
    background-image: url("/images/icons/valid.png");
}

/* Disabled */
input[type="checkbox"]:disabled + label:not(.icon_right):before,
input[type="checkbox"]:disabled + label.icon_right:after {
    cursor: no-drop;
    filter: grayscale(100%);
}

/* Buttons */
button {
    background: linear-gradient(#ededed 5%, #dfdfdf 100%) #ededed;
    border-color: #dcdcdc;
    border-radius: 5px;
    border-style: solid;
    border-width: 1px;
    box-shadow: #ffffff 0 1px 0 0 inset;
    color: #333333;
    cursor: pointer;
    display: inline-block;
    font-size: 13px;
    height: 27px;
    padding: 0 18px;
    text-decoration: none;
    text-shadow: #ffffff 0 1px 0;
}

button.icon {
    padding-left: 12px;
}

button:not([disabled]):hover {
    background: linear-gradient(#dfdfdf 5%, #ededed 100%) #dfdfdf;
}

button:not([disabled]):active {
    position: relative;
    top: 1px;
}

button:focus {
    outline: 0;
}

button:disabled {
    cursor: default;
    filter: brightness(0.9);
}

/* Sized */
button.btn_small {
    border-radius: 4px;
    font-size: 10px;
    height: 21px;
    padding: 0 12px;
}

button.btn_large {
    border-radius: 6px;
    font-size: 15px;
    height: 33px;
}

button.btn_xlarge {
    border-radius: 6px;
    font-size: 17px;
    height: 39px;
    padding: 0 24px;
}

/* Colours */
button.btn_green {
    background: linear-gradient(#62cf89 5%, #00b140 100%) #62cf89;
    border-color: #268a16;
    box-shadow: #caefab 0 1px 0 0 inset;
    color: #ffffff;
    text-shadow: #13450b 0 1px 0;
}

button.btn_green:not([disabled]):hover {
    background: linear-gradient(#00b140 5%, #62cf89 100%) #00b140;
}

button.btn_green:not([disabled]):focus {
    background: linear-gradient(#00b140 5%, #62cf89 50%) #00b140;
}

button.btn_blue {
    background: linear-gradient(#3d94f6 5%, #1e62d0 100%) #3d94f6;
    border-color: #337fed;
    box-shadow: #97c4fe 0 1px 0 0 inset;
    color: #ffffff;
    text-shadow: #1570cd 0 1px 0;
}

button.btn_blue:not([disabled]):hover {
    background: linear-gradient(#1e62d0 5%, #3d94f6 100%) #1e62d0;
}

button.btn_blue:not([disabled]):focus {
    background: linear-gradient(#1e62d0 5%, #3d94f6 50%) #1e62d0;
}

button.btn_red {
    background: linear-gradient(#f24537 5%, #c62d1f 100%) #f24537;
    border-color: #d02718;
    box-shadow: #f5978e 0 1px 0 0 inset;
    color: #ffffff;
    text-shadow: #810e05 0 1px 0;
}

button.btn_red:not([disabled]):hover {
    background: linear-gradient(#c62d1f 5%, #f24537 100%) #c62d1f;
}

button.btn_red:not([disabled]):focus {
    background: linear-gradient(#c62d1f 5%, #f24537 50%) #c62d1f;
}

button.btn_orange {
    background: linear-gradient(#ffec64 5%, #ffab23 100%) #ffec64;
    border-color: #ffaa22;
    box-shadow: #fff6af 0 1px 0 0 inset;
    color: #333333;
    text-shadow: #ffee66 0 1px 0;
}

button.btn_orange:not([disabled]):hover {
    background: linear-gradient(#ffab23 5%, #ffec64 100%) #ffab23;
}

button.btn_orange:not([disabled]):focus {
    background: linear-gradient(#ffab23 5%, #ffec64 50%) #ffab23;
}

/*
 * Obfuscated emails
 */
emdom:before {
    content: "@";
    display: inline-block;
}

/*
 * Inline lists
 */
ul.nav,
ul.horiz_list,
ul.inline_list {
    list-style: none;
    margin: 0;
    padding: 0;
}

ul.horiz_list li {
    float: left;
}

/* Notices */
div.notices {
    background-color: #ffffcc;
    border-bottom: 1px solid #000000;
    font-size: 14px;
    font-style: italic;
    padding: 3px;
    text-align: center;
}

/* Icons/Flags */
.icon:before,
.flag:before {
    margin-right: 3px;
}

.icon_right:after,
.flag_right:after {
    margin-left: 3px;
}

.icon:before,
.icon_right:after {
    vertical-align: top;
}

.icon_disabled:before,
.icon_right_disabled:after {
    filter: grayscale(100%);
}

.status_icon:before {
    float: left;
}
